Bug 65330 - RedHat 7.3 Virtual Terminals no longer work when Graphical Login is used
RedHat 7.3 Virtual Terminals no longer work when Graphical Login is used
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-05-22 03:46 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-22 14:52:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-22 03:46:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (WinNT; U)

Description of problem:
RedHat 7.3 Linux was installed on a Pentium 4.  This machine has a Radeon 7500 video card.  All this works fine, except that after the graphical 
login screen shows up, switching between virtual terminals no longer works.  That is, Ctrl-F1 to go to the main text login screen does not work.  
Neither does Ctrl-F2 thru Ctrl-F6.  The X server starts on virtual screen Ctrl-F8 instead of Ctrl-F7 as it always did in the past.  Pressing Ctrl-F7 
up a screen almost identical to Ctrl-F8, except that there is garbage near the top of the screen, and none of the input devices (mouse, keyboard) 
work on this screen.  Using Ctrl-F8 jumps back to the working screen.

Pressing Ctrl-F1 thru Ctrl-F6 has the same effect as Ctrl-F7 - namely the non-functioning graphical screen with garbage at the top shows up.

If the inittab file is changed so the system boots in runlevel 3, then the virtual screen functionality correctly works as it did in prior RedHat releases.  
However, using startx or xinit to start the X server hangs the system.  The only command that works is "/usr/bin/gdm -nodaemon" which is the 
command the system uses if in runlevel 5.  When this command is run, the graphical login for Gnome shows up and the virtual terminal function 
(Ctrl-Fx) no longer works.

The above problem exists in a virgin RedHat installation.  After installing VMWare 3.11, the full screen mode of the guest operating system takes 
over virtual terminal slot F7 and Ctrl-F8 / Ctrl-F7 switches between Gnome and the guest operating system.  This is normal, except for being 
backwards and there seems to be some stability issues related to the virtual terminals being backwards (possible memory leak problems).  
VMWare has problems in full screen mode (in virtual terminal F7) related to display handling - mouse droppings, improper refresh, artifacts, etc.  
This did not occur in prior releases of RedHat.  Updates to the VMWare virtual terminal screen (such as mouse movements and screen display) 
slower than on prior releases of RedHat.

I would normally rate this Low, but the virtual terminal functionality is important to recover from XFree86 crashes, especially when using VMWare.  
Getting to a text login to gracefully clean up is important, especially in this case, since, as mentioned, the system seems to be less stable when 
running something in a different virtual terminal.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Install RedHat 7.3 with Graphical Login enabled.

Additional info:
Comment 1 Mike A. Harris 2002-05-22 14:52:45 EDT
The VT switching issues are known, and have been reported in many other
bug reports.  That is being worked on by ATI and others currently.

The keys to switch virtual consoles are ALT-Fx outside of X, and CTRL-ALT-Fx
inside X, not CTRL-Fx as indicated in your report.

XFree86 starts up on the first available virtual console unless specified
manually on the commandline to start up on a specific VT.  So if it is
starting up on a different VT than you expect, then something on your
system is using tty7.  This is not considered a bug.

Red Hat does not officially support installation into VMware, so any
bugs that occur while running Red Hat Linux inside VMware as a guest
operating system are not considered supported unless they can be
replicated in a regular environment where VMware is not part of the
equation.  Any speedups/slowdowns of Red Hat Linux running in VMware,
are likewise not supported.

Also, usage of VMware at all on a system makes the entire OS unsupported,
since VMware inserts kernel modules into the running kernel, and Red Hat
does not support usage of non Red Hat supplied kernel modules with the
operating system.

So, in summary, the only portion of this bug report which is valid, is
the VT switching issue, and that is already reported in other bug reports,
and will be resolved in the future at some point.
Comment 2 Mike A. Harris 2002-07-26 07:58:30 EDT

*** This bug has been marked as a duplicate of 62171 ***
Comment 3 Mike A. Harris 2002-07-30 20:28:39 EDT
The Radeon VT switching issue is fixed in rawhide XFree86 4.2.0-57
and higher currently.
Comment 4 Mark J. Cox (Product Security) 2003-06-25 11:52:34 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.